# GUIData

class GUIData<T : ForInventory>(guiType: GUIType<T>, title: String?, pages: Map<Int, GUIPage<T>>, defaultPage: Int, transitionTo: InventoryChangeEffect?, transitionFrom: InventoryChangeEffect?, generalOnClick: (GUIClickEvent<T>) -> Unit?)
Content copied to clipboard

## Properties

defaultPage
Link copied to clipboard
val defaultPage: Int
Content copied to clipboard
guiType
Link copied to clipboard
val guiType: GUIType<T>
Content copied to clipboard
title
Link copied to clipboard
val title: String?
Content copied to clipboard
transitionFrom
Link copied to clipboard
val transitionFrom: InventoryChangeEffect?
Content copied to clipboard
transitionTo
Link copied to clipboard
val transitionTo: InventoryChangeEffect?
Content copied to clipboard